const int buzzer=5;
const int trigger_pin=3;
const int echo_pin=4;

int duration;
int mesafe;

void playTone(int tone, int duration) {
  for (long i = 0; i < duration * 1000L; i += tone * 2) {
    digitalWrite(buzzer, HIGH);
    delayMicroseconds(tone);
    digitalWrite(buzzer, LOW);
    delayMicroseconds(tone);
  
  }
}

void setup() {
  pinMode(buzzer , OUTPUT);
  pinMode(trigger_pin , OUTPUT);
  pinMode(echo_pin , INPUT);
  pinMode(7, OUTPUT);        // сюда подключен светодиод красный
  pinMode(9, OUTPUT);        // сюда подключен светодиод зеленый
  pinMode(8, OUTPUT);        // сюда подключен светодиод желтый
  Serial.begin(9600);
}

void loop() {

  digitalWrite(trigger_pin , LOW);
  delayMicroseconds(2);
  digitalWrite(9, HIGH);     // включить светодиод с текущим номером
    digitalWrite(trigger_pin , HIGH);
  delayMicroseconds(10);
  digitalWrite(trigger_pin , LOW);
  duration = pulseIn(echo_pin , HIGH);
  mesafe = duration / 58;

  if(mesafe <= 50 && mesafe > 0){
   Serial.println(mesafe);
   playTone(956, 70);
   delay(mesafe*15);
  digitalWrite(7, HIGH);     // включить светодиод с текущим номером
  delay (2000); // задержка мигания
  digitalWrite(7, LOW);     // выключить светодиод с текущим номером
  delay (2000); // задержка мигания  
  }
  
}
